<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Blocks.FC ID="0">
    <AttributeList>
      <AutoNumber>false</AutoNumber>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="Input">
    <Member Name="Enable" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Baustein aktivieren</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="Status" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Angegebenen Ausgang auf diesen Status steuern</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="OutByte" Datatype="DInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Ausgangsbyte zum Steuern</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="OutBit" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Ausgangsbit zum Steuern</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Output" />
  <Section Name="InOut" />
  <Section Name="Temp">
    <Member Name="AR1Zeiger" Datatype="DWord">
      <Comment>
        <MultiLanguageText Lang="de-DE">Statt AR1 (ging nur bis DB-Länge &lt;= 8191 Bytes)</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
  <Section Name="Constant" />
  <Section Name="Return">
    <Member Name="Ret_Val" Datatype="Void" />
  </Section>
</Sections></Interface>
      <MemoryLayout>Standard</MemoryLayout>
      <Name>Set_Output</Name>
      <Namespace />
      <Number>127</Number>
      <ProgrammingLanguage>STL</ProgrammingLanguage>
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <SW.Blocks.CompileUnit ID="5" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="22">
    <StlToken Text="AN" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Enable" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="24">
    <StlToken Text="BEC" />
  </StlStatement>
  <StlStatement UId="25">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="6" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="7" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="8" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="9" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="A" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="B" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="C" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Baustein aktiviert ?</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="D" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="E" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="26">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="OutByte" />
      </Symbol>
      <LineComment>
        <Text>Ausgangsbyte zum Steuern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="29">
    <StlToken Text="SLD" />
    <Access Scope="LiteralConstant">
      <Constant>
        <ConstantType>Int</ConstantType>
        <ConstantValue>3</ConstantValue>
      </Constant>
    </Access>
  </StlStatement>
  <StlStatement UId="31">
    <StlToken Text="L" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="OutBit" />
      </Symbol>
      <LineComment>
        <Text>Ausgangsbit zum Steuern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="34">
    <StlToken Text="OW" />
  </StlStatement>
  <StlStatement UId="35">
    <StlToken Text="T" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="AR1Zeiger" />
      </Symbol>
      <LineComment>
        <Text>Statt Dyn.Bereichsstop (ging nur bis DB-Länge &lt;= 8191 Bytes)</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="38">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
  <StlStatement UId="39">
    <StlToken Text="A" />
    <Access Scope="LocalVariable">
      <Symbol>
        <Component Name="Status" />
      </Symbol>
    </Access>
  </StlStatement>
  <StlStatement UId="41">
    <StlToken Text="Assign" />
    <Access Scope="Address">
      <Indirect Width="Bit" Area="Output">
        <Access Scope="LocalVariable">
          <Symbol>
            <Component Name="AR1Zeiger" />
          </Symbol>
        </Access>
      </Indirect>
      <LineComment>
        <Text>Ausgang steuern</Text>
      </LineComment>
    </Access>
  </StlStatement>
  <StlStatement UId="44">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="F" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="10" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="11" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="12" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="13" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="14" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="15" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ausgang steuern</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="16" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <SW.Blocks.CompileUnit ID="17" CompositionName="CompileUnits">
        <AttributeList>
          <NetworkSource><StatementList xmlns="http://www.siemens.com/automation/Openness/SW/NetworkSource/StatementList/v5">
  <StlStatement UId="45">
    <StlToken Text="BE" />
  </StlStatement>
  <StlStatement UId="46">
    <StlToken Text="EMPTY_LINE" />
  </StlStatement>
</StatementList></NetworkSource>
          <ProgrammingLanguage>STL</ProgrammingLanguage>
        </AttributeList>
        <ObjectList>
          <MultilingualText ID="18" CompositionName="Comment">
            <ObjectList>
              <MultilingualTextItem ID="19" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1A" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1B" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
          <MultilingualText ID="1C" CompositionName="Title">
            <ObjectList>
              <MultilingualTextItem ID="1D" CompositionName="Items">
                <AttributeList>
                  <Culture>cs-CZ</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1E" CompositionName="Items">
                <AttributeList>
                  <Culture>de-DE</Culture>
                  <Text>Ende</Text>
                </AttributeList>
              </MultilingualTextItem>
              <MultilingualTextItem ID="1F" CompositionName="Items">
                <AttributeList>
                  <Culture>en-US</Culture>
                  <Text />
                </AttributeList>
              </MultilingualTextItem>
            </ObjectList>
          </MultilingualText>
        </ObjectList>
      </SW.Blocks.CompileUnit>
      <MultilingualText ID="20" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="21" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="22" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text>Ausgangsbit zwangsstuern</Text>
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="23" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Blocks.FC>
</Document>